env:
  browser: true

plugins:
  - react
  - react-native

extends:
  - esnext
  - plugin:react/recommended

rules:
  react-native/no-color-literals: 2
  react-native/no-inline-styles: 2
  react-native/no-unused-styles: 2
  react-native/split-platform-components: 2
  react/jsx-boolean-value: 2
  react/jsx-handler-names: 2
  react/jsx-key: 1
  react/jsx-no-bind: 1
  react/jsx-pascal-case: 2
  react/jsx-wrap-multilines: 2
  react/no-danger: 2
  react/no-did-mount-set-state: 2
  react/no-did-update-set-state: 2
  react/no-find-dom-node: 2
  react/no-multi-comp:
    - 2
    - ignoreStateless: true
  react/no-render-return-value: 2
  react/no-string-refs: 2
  react/no-unused-prop-types: 2
  react/prefer-es6-class: 2
  react/prefer-stateless-function: 2
